/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal;

import org.eclipse.osgi.util.NLS;

/**
 * Localized messages for the classes in the
 * <code>com.ibm.team.build.internal</code> package.
 */
public class Messages extends NLS {

    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.messages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, Messages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new Messages();
    }

    /**
     * Intentionally private to prevent public instances.
     */
    private Messages() {
        // Intentionally empty
    }

    /**
     * Error message: password file is missing. Path not included in message for security reasons.
     */
    public static String PasswordHelper_FILE_MISSING;

    /**
     * Error message: password file is a directory. Path not included in message for security reasons.
     */
    public static String PasswordHelper_FILE_IS_DIRECTORY;

    /**
     * Error message: password file is empty. Path not included in message for security reasons.
     */
    public static String PasswordHelper_FILE_EMPTY;

    /**
     * Error message: password file has invalid format. Path not included in message for security reasons.
     */
    public static String PasswordHelper_INVALID_FORMAT;

}