/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.parser;

import org.eclipse.osgi.util.NLS;

/**
 * Localized messages for the classes in the
 * <code>com.ibm.team.build.internal.parser</code> package.
 */
public class ParserMessages extends NLS {

    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.parser.ParserMessages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, ParserMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new ParserMessages();
    }

    /**
     * Intentionally private to prevent public instances.
     */
    private ParserMessages() {
        // Intentionally empty
    }
    /**
     * Message indicating that a required element was not found.
     */
    public static String MISSING_REQUIRED_CHILD_ELEMENT;

    /**
     * Message indicating that a required attribute was not set.
     */
    public static String MISSING_REQUIRED_ATTRIBUTE;

    /**
     * Message indicating that the value for the required attribute is invalid.
     */
    public static String INVALID_ATTRIBUTE_VALUE;

    /**
     * Message indicating that the parser has encountered an unexpected element
     * in the context of another element.
     */
    public static String UNEXPECTED_CHILD_ELEMENT;

    /**
     * Message indicating that the parser has encountered an unexpected element.
     */
    public static String UNEXPECTED_ELEMENT;

    /**
     * Message indicating that a package name or prefix was specified for more
     * than one component in the mapping file.
     */
    public static String ComponentMapRegistry_DUPLICATE_PACKAGE;

    /**
     * Message indicating that the version of the compiler that output the
     * logfile is unsupported.
     */
    public static String JdtXmlCompileLogParser_UNSUPPORTED_COMPILER_VERSION;
}