/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.parser.data;

/**
 * Helper class to store information from a <code>error</code> element in a
 * JUnit log file.
 */
public class JUnitParserErrorData extends AbstractJUnitParserProblemData {

    /**
     * Constructs an error data instance with the attributes of an error element.
     * 
     * @param type
     *            value of the type attribute of the <code>error</code>
     *            element, or <code>null</code>.
     * @param message
     *            value of the message attribute of the <code>error</code>
     *            element, or <code>null</code>.
     */
    public JUnitParserErrorData(String type, String message) {
        super(type, message);
    }

}
