/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.publishing;

import org.eclipse.osgi.util.NLS;

/**
 * Localized messages for the classes in the
 * <code>com.ibm.team.build.internal.publishing</code> package.
 */
public class PublishingMessages extends NLS {

    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.publishing.PublishingMessages"; //$NON-NLS-1$

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, PublishingMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new PublishingMessages();
    }

    /**
     * Intentionally private to prevent public instances.
     */
    private PublishingMessages() {
        // Intentionally empty
    }

    /**
     * Message indicating an exception occured when parsing.
     */
    public static String _EXCEPTION_PARSING;

    /**
     * Message indicating that a SAX parsing exception occurred.
     */
    public static String JdtCompileLogPublisher_SAX_PARSING_EXCEPTION;

    /**
     * Message indicating an exception occurred when getting the component name.
     */
    public static String JUnitLogPublisher_EXCEPTION_GETTING_COMPONENT;

    /**
     * Message including the published file and a warning string.
     */
    public static String JUnitLogPublisher_PUBLISH_FILE_AND_WARNING;

    /**
     * Message indicating that the test suite name is unknown.
     * 
     * @since 0.8
     */
    public static String JUnitLogPublisher_UNKNOWN_TEST_SUITE_NAME;
    
    /**
     * Message for exception if the file that should contain work item ids
     * contains something else.
     */
    public static String WorkItemPublisher_BAD_WORKITEM_ID;
}