/*******************************************************************************
 *  Licensed Materials - Property of IBM
 *  (c) Copyright IBM Corporation 2006, 2014. All Rights Reserved.
 *  
 *  Note to U.S. Government Users Restricted Rights:
 *  Use, duplication or disclosure restricted by GSA ADP Schedule
 *  Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.scm;

import org.eclipse.osgi.util.NLS;

/**
 * Localized message identifiers for the
 * <code>com.ibm.team.build.internal.scm</code> package.
 */
@SuppressWarnings("javadoc")
public class ScmMessages extends NLS {

    /**
     * Name of the resource bundle containing the messages
     */
    private static final String BUNDLE_NAME = "com.ibm.team.build.internal.scm.ScmMessages"; //$NON-NLS-1$

    /**
     * Private default constructor to prevent any instances.
     */
    private ScmMessages() {
        // Don't want any instances
    }

    static {
        // initialize resource bundle
        NLS.initializeMessages(BUNDLE_NAME, ScmMessages.class);

        // Instantiate an instance to get around code coverage limitation that
        // it can't currently exclude intentionally private constructors
        new ScmMessages();    
    }

    public static String BaseChangeLogEntryVisitor_MULTIPLE_WORKITEM_NUMBERS_AND_SINGLE_NAME;

    public static String BaseChangeLogEntryVisitor_WORKITEM_LIST_GENERATOR;

    /**
     * Message that indicates that the item being fetched was not a workspace.
     */
    public static String BuildWorkspaceDescriptor_ITEM_NOT_A_WORKSPACE;

    /**
     * Message that indicates that the item being fetched was not a workspace.
     * (EXPLANATION)
     */
    public static String BuildWorkspaceDescriptor_ITEM_NOT_A_WORKSPACE$explanation;

    /**
     * Message that indicates that the item being fetched was not a workspace.
     * (USER ACTION)
     */
    public static String BuildWorkspaceDescriptor_ITEM_NOT_A_WORKSPACE$useraction;

    /**
     * Message indicating the that user for a particular repository cannot
     * access a workspace because they lack the required permissions.
     */
    public static String BuildWorkspaceDescriptor_USER_LACKS_READ_ACCESS;

    /**
     * Message indicating the that user for a particular repository cannot
     * access a workspace because they lack the required permissions.
     * (EXPLANATION)
     */
    public static String BuildWorkspaceDescriptor_USER_LACKS_READ_ACCESS$explanation;

    /**
     * Message indicating the that user for a particular repository cannot
     * access a workspace because they lack the required permissions.(USER
     * ACTION)
     */
    public static String BuildWorkspaceDescriptor_USER_LACKS_READ_ACCESS$useraction;

    /**
     * Message indicating that the UUID string used to identify a workspace is
     * not a valid UUID.
     */
    public static String BuildWorkspaceDescriptor_UUID_INVALID;

    /**
     * Message indicating that the UUID string used to identify a workspace is
     * not a valid UUID. (EXPLANATION)
     */
    public static String BuildWorkspaceDescriptor_UUID_INVALID$explanation;

    /**
     * Message indicating that the UUID string used to identify a workspace is
     * not a valid UUID. (USER ACTION)
     */
    public static String BuildWorkspaceDescriptor_UUID_INVALID$useraction;

    /**
     * Message indicating that a workspace with the provided name does not
     * exist.
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_NAME_NOT_FOUND;

    /**
     * Message indicating that a workspace with the provided name does not
     * exist. (EXPLANATION)
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_NAME_NOT_FOUND$explanation;

    /**
     * Message indicating that a workspace with the provided name does not
     * exist. (USER ACTION)
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_NAME_NOT_FOUND$useraction;

    /**
     * Message indicating that a workspace with the provided UUID does not
     * exist.
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_UUID_NOT_FOUND;

    /**
     * Message indicating that a workspace with the provided UUID does not
     * exist. (EXPLANATION)
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_UUID_NOT_FOUND$explanation;

    /**
     * Message indicating that a workspace with the provided UUID does not
     * exist. (USER ACTION)
     */
    public static String BuildWorkspaceDescriptor_WORKSPACE_WITH_UUID_NOT_FOUND$useraction;

    /**
     * Message indicating that the workspace flows to a stream or workspace that
     * is on another server and the build engine was not configured to connect
     * to that server.
     */
    public static String SourceControlUtility_FLOW_WORKSPACE_AUTH_MISSING;

    /**
     * Message for load rule for unloaded component
     */
    public static String SourceControlUtility_LOAD_RULE_FOR_UNLOADED_COMPONENT;

    /**
     * Message for load rule for named unloaded component
     */
    public static String SourceControlUtility_LOAD_RULE_FOR_NAMED_UNLOADED_COMPONENT;

    /**
     * Message for stale data (i.e. out of sync with accept) during load.
     */
    public static String SourceControlUtility_LOAD_STALE_DATA;

    /**
     * Message for missing directory.
     */
    public static String SourceControlUtility_DIRECTORY_DOES_NOT_EXIST;

    /**
     * Message for invalid sandbox
     */
    public static String SourceControlUtility_INVALID_SANDBOX;

    /**
     * Snapshot comment.
     */
    public static String SourceControlUtility_SNAPSHOT_CREATED_BY_BUILD;

    /**
     * Stale data
     */
    public static String SourceControlUtility_STALE_DATA;
    
    /**
     * Multiple flow targets for 1 component
     */
    public static String SourceControlUtility_MULTIPLE_COMPONENT_ACCEPT_FLOWS;
    
    /**
     * Invalid root path for copy file area
     */
    public static String SourceControlUtility_INVALID_ROOT_PATH;

    /**
     * Message indicating that a previous attempt to connect to a server failed
     * because the user name and/or password that the build engine used was invalid.
     */
    public static String SourceControlUtility_WORKSPACE_FLOW_HAD_PREVIOUS_AUTH_FAILURE;

    
    /**
     * Message indicating that accepts cannot be performed against a stream.
     */
    public static String SourceControlUtility_CANNOT_ACCEPT_INTO_STREAM;

    public static String SourceControlUtility_CUSTOM_ITERATION_NOT_FOUND_ERROR;
    
    /**
     * Message indicating a workspace was not found.
     */
    public static String WORKSPACE_NOT_FOUND;

    /**
     * Message indicating malformed component load rules property setting
     */
    public static String ComponentLoadRules_MALFORMED_PROPERTY;

    /**
     * Message indicating malformed component load rules property setting
     */
    public static String ComponentLoadRules_MALFORMED_PROPERTY_COMPONENT;

    /**
     * Message indicating malformed component load rules property setting
     */
    public static String ComponentLoadRules_MALFORMED_PROPERTY_2;

    /**
     * Message indicating malformed component load rules property setting
     */
    public static String ComponentLoadRules_MALFORMED_PROPERTY_3;

    /**
     * Message indicating malformed component load rules property setting
     */
    public static String ComponentLoadRules_MALFORMED_PROPERTY_FILE;

    /**
     * Error message for when the build user does not have read access to a load rule.
     */
    public static String ComponentLoadRules_PRIVATE_LOAD_RULE;

    /**
     * Message indicating that the repository has not been configured for use in the repositories file
     */
    public static String RepositoryManager_AUTH_INFO_MISSING;

    /**
     * Message indicating that authentication previously failed for repository
     */
    public static String RepositoryManager_AUTH_PREVIOUSLY_FAILED;

    /**
     * Message indicating that authentication failed
     */
    public static String RepositoryManager_AUTHENTICATION_FAILED;

    /**
     * Message indicating that the certificate file must exist
     */
    public static String RepositoryManager_CERTIFICATE_FILE_MUST_EXIST;

    /**
     * String that is used to indicate that the repository connection doesn't use a proxy
     */
    public static String RepositoryManager_NOT_USING_PROXY;

    /**
     * String that is used to indicate that the repository connection does use a proxy
     */
    public static String RepositoryManager_USING_PROXY;
    
    /**
     * Heading for the "Added Change Sets" section of the Change Log file
     */
    public static String ChangeLogReport_ADDED_CHANGE_SETS_HEADING;

    /**
     * Heading for the "Added Components" section of the Change Log file
     */
    public static String ChangeLogReport_ADDED_COMPONENTS_HEADING;

    /**
     * Heading for the "Removed Change Sets" section of the Change Log file
     */
    public static String ChangeLogReport_REMOVED_CHANGE_SETS_HEADING;

    /**
     * Heading for the "Removed Components" section of the Change Log file
     */
    public static String ChangeLogReport_REMOVED_COMPONENTS_HEADING;

    /**
     *  of the  */iatath fo*  of ty dle cribuosiule.
     */
    public static String ChangeLogRepoED_CHANGE_VEDNTRIBURECULE_MAXIST;

    /**
     *  of the  */iatath fdege liissindicule.
     */
    public static String ChangeLogRepoED_CHANGE_VOUTPUTALE_EULE_MAXTEADING;

    /**
     *  of the orksStrule.
     */
    public static String ChangeLogRepoED_CHANGE_VOUTPUTAORKSEADING;

    public static String ChangeLogRepoVERSCATABINGLE_NERS_AIDUTHEFIERING;

    public static StriEg.ecliaseChangeLogEntryVisitTY_COMPONENT;

    public static StriEg.ecliaseChangeLogEntryVisitFO_MISSoED_CHAGE_VEDMMPONENT;

    public static StriEg.ecliaseChangeLogEntryVisitor_WORKITTEXTERS_AED_CHAGE_VEDMMPONENT;
}
;
}